Subject: Re: [RFC PATCH] fast-export, fast-import: Let tags specify an internal name

From: Junio C Hamano <[email-masked]>
Date: Wed, 21 Apr 2021 11:54:52 -0700

Elijah Newren <[email-masked]> writes:

> On Tue, Apr 20, 2021 at 2:40 PM Junio C Hamano <[email-masked]> wrote:
>> ...
>> +The `<refname>` is prefixed with `refs/tags/` when stored
>>  in Git, so importing the CVS branch symbol `RELENG-1_0-FINAL` would
>> -use just `RELENG-1_0-FINAL` for `<name>`, and fast-import will write the
>> +use just `RELENG-1_0-FINAL` for `<refname>`, and fast-import will write the
>>  corresponding ref as `refs/tags/RELENG-1_0-FINAL`.
>
> Going on a slight tangent since you didn't introduce this, but since
> you're modifying this exact documentation...
>
> I hate the assumed "refs/tags/" prefix.  Especially since ...
> ... The special casing reminds me of the ref-updated hook in
> gerrit

Gerrit and fast-import?  What is common is Shawn, perhaps ;-)?

> broken given the fact that the name inside the tag didn't match the
> name of the actual ref.  (To be honest, though, I was never sure why
> the name of the tag was recorded inside the tag itself.)

The name of the tag and the name of the object has to be together
for a signature over it to have any meaning, no?